
import pygame

def load_image(filename, transparent_color):
    surface = pygame.image.load(filename)
    surface.convert()
    surface.set_colorkey(transparent_color, pygame.RLEACCEL)
    return surface
    

    IMG_KID = None
    IMG_EXPLOSION = None
    IMG_BAD_THINGS = None
    IMG_GOOD_THINGS = None
    IMG_JURLO = None
    IMG_FONT = None
    IMG_BACKGROUND = None

def init_images():
    global IMG_KID
    global IMG_EXPLOSION
    global IMG_BAD_THINGS
    global IMG_GOOD_THINGS
    global IMG_JURLO
    global IMG_FONT
    global IMG_BACKGROUND
    
    IMG_KID = load_image("kid.png", 0xffffff)
    IMG_EXPLOSION = load_image("explodey.png", 0xffffff)
    IMG_BAD_THINGS = load_image("bad_things.png", 0xffffff)
    IMG_GOOD_THINGS = load_image("good_things.png", 0xffffff)
    IMG_JURLO = load_image("jurlo.png", 0x000000)
    IMG_FONT = load_image("font.png", 0xffffff)
    IMG_BACKGROUND = load_image("backgnd.png", None)